Index: /trunk/source/visualization/GNUmakefile
===================================================================
--- /trunk/source/visualization/GNUmakefile	(revision 939)
+++ /trunk/source/visualization/GNUmakefile	(revision 940)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.22 2009/02/16 15:31:05 lgarnier Exp $
+# $Id: GNUmakefile,v 1.23 2009/03/05 11:32:07 lgarnier Exp $
 # -----------------------------------------------------------------------
 # GNUmakefile for visualization and modeling.  John Allison, 5/7/95.
@@ -25,5 +25,8 @@
 endif
 
-CPPFLAGS += -DG4DEBUG_VIS_OGL
+# For Debug mode
+# CPPFLAGS += -DG4DEBUG_VIS_OGL
+# CPPFLAGS += -DG4DEBUG_VIS_OI
+# CPPFLAGS += -DG4DEBUG_VIS_MANAGEMENT
 
 # Libraries which can be used without external packages or libraries...
Index: /trunk/source/visualization/History
===================================================================
--- /trunk/source/visualization/History	(revision 939)
+++ /trunk/source/visualization/History	(revision 940)
@@ -24,4 +24,10 @@
 History file for visualization category
 ---------------------------------------
+
+5th March 2009, Laurent Garnier
+ - Now using Gl2PS method to do PS
+ - Add flag in GNUMakefile to compile in debug mode
+ - Remplacing glBitmap by GL_POINTS to draw marker : Speed improvment
+  and gl2ps can now draw Markers.
 
 24th February 2009  John Allison
Index: /trunk/source/visualization/OpenGL/GNUmakefile
===================================================================
--- /trunk/source/visualization/OpenGL/GNUmakefile	(revision 939)
+++ /trunk/source/visualization/OpenGL/GNUmakefile	(revision 940)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.9 2009/02/16 15:31:05 lgarnier Exp $
+# $Id: GNUmakefile,v 1.10 2009/03/05 11:17:42 lgarnier Exp $
 
 name := G4OpenGL
@@ -9,4 +9,7 @@
 # Definition of macro for moc files (for Qt use only)
 MOC_MACRO = -DG4VIS_BUILD_OPENGLQT_DRIVER
+
+# For debug mode
+# CPPFLAGS += -DG4DEBUG_VIS_OGL
 
 GLOBLIBS  = libG4vis_management.lib libG4modeling.lib
Index: /trunk/source/visualization/OpenGL/History
===================================================================
--- /trunk/source/visualization/OpenGL/History	(revision 939)
+++ /trunk/source/visualization/OpenGL/History	(revision 940)
@@ -1,3 +1,3 @@
-$Id: History,v 1.127 2009/03/03 14:51:29 lgarnier Exp $
+$Id: History,v 1.128 2009/03/05 11:04:20 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -21,8 +21,10 @@
 -------------------------------------
 
-3rd March 2009, Laurent Garnier
+4rd March 2009, Laurent Garnier
  - G4OpenGLQtViewer:
    - Suppress some warnings when saving file
    - Changing size is now allowed when saving (to save with better resolution than screen size)
+ - G4OpenGLViewer: Some renaming for print methods to be more clear about Vectored and non Vectored
+ - G4OpenGLViewer: Now using Gl2PS method to do PS (changes also in G4OpenGLXViewer and G4OpenGLQtViewer)
 
 1st March 2009, Laurent Garnier
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 939)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 940)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.hh,v 1.27 2009/02/16 15:31:05 lgarnier Exp $
+// $Id: G4OpenGLViewer.hh,v 1.28 2009/03/05 11:04:20 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 939)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 940)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.36 2009/02/25 15:14:29 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.cc,v 1.37 2009/03/05 11:04:20 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 939)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 940)
@@ -32,6 +32,4 @@
 //                                G4OpenGLStoredViewer.
 
-#define G4DEBUG_VIS_OGL
-
 #ifdef G4VIS_BUILD_OPENGLQT_DRIVER
 
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc	(revision 939)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc	(revision 940)
@@ -33,5 +33,4 @@
 //                              and G4OpenGLStoredViewer.
 
-#define G4DEBUG_VIS_OGL 1
 #ifdef G4VIS_BUILD_OPENGLXM_DRIVER
 
@@ -122,7 +121,4 @@
       FinishView ();
     } else {
-#ifdef G4DEBUG_VIS_OGL
-      printf("**************************  G4OpenGLStoredXmViewer::ComputeView Need kernel Visit \n");
-#endif
     // However, union cutaways are implemented in DrawDisplayLists, so make
     // an extra pass...
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 939)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 940)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.cc,v 1.48 2009/02/16 15:31:05 lgarnier Exp $
+// $Id: G4OpenGLViewer.cc,v 1.49 2009/03/05 11:04:20 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -33,6 +33,4 @@
 
 #ifdef G4VIS_BUILD_OPENGL_DRIVER
-
-#define G4DEBUG_VIS_OGL
 
 #include "G4ios.hh"
@@ -51,5 +49,4 @@
 #include "G4AttHolder.hh"
 #include "G4AttCheck.hh"
-#include "G4StateManager.hh"
 
 // GL2PS
@@ -146,7 +143,4 @@
 
 void G4OpenGLViewer::ClearView () {
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLViewer::ClearView VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV \n");
-#endif
   glClearColor (background.GetRed(),
 		background.GetGreen(),
@@ -160,7 +154,4 @@
   glClear (GL_STENCIL_BUFFER_BIT);
   glFlush ();
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLViewer::ClearView ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n");
-#endif
 }
 
@@ -178,8 +169,4 @@
 
 void G4OpenGLViewer::SetView () {
-
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLViewer::SetView VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV \n");
-#endif
 
   if (!fSceneHandler.GetScene()) {
@@ -321,14 +308,8 @@
   background = fVP.GetBackgroundColour ();
 
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLViewer::SetView ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n");
-#endif
 }
 
 void G4OpenGLViewer::HaloingFirstPass () {
   
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLViewer::HaloingFirstPass VVVVVVVVVVVVVVVVVV \n");
-#endif
   //To perform haloing, first Draw all information to the depth buffer
   //alone, using a chunky line width, and then Draw all info again, to
@@ -353,7 +334,4 @@
 void G4OpenGLViewer::HaloingSecondPass () {
 
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLViewer::HaloingSecondtPass VVVVVVVVVVVVVVVVVV \n");
-#endif
   //And finally, turn the colour buffer back on with a sesible line width...
   glColorMask (GL_TRUE, GL_TRUE, GL_TRUE, GL_TRUE);
@@ -907,5 +885,4 @@
   if (!fGL2PSAction) return false;
 
-
   fGL2PSAction->setFileName(fPrintFilename.c_str());
   // try to resize
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 939)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 940)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXViewer.cc,v 1.49 2009/02/16 15:31:05 lgarnier Exp $
+// $Id: G4OpenGLXViewer.cc,v 1.50 2009/03/05 11:04:20 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -49,5 +49,4 @@
 #include "G4Point3D.hh"
 #include "G4Normal3D.hh"
-#include "G4StateManager.hh"
 
 #include <X11/Xatom.h>
Index: /trunk/source/visualization/OpenInventor/src/SoGL2PSAction.cc
===================================================================
--- /trunk/source/visualization/OpenInventor/src/SoGL2PSAction.cc	(revision 939)
+++ /trunk/source/visualization/OpenInventor/src/SoGL2PSAction.cc	(revision 940)
@@ -33,6 +33,4 @@
 /*--------------------------------------------------------------------------*/
 
-//#define G4DEBUG_VIS_OGL 1
-
 // this :
 #include <HEPVis/actions/SoGL2PSAction.h>
@@ -53,7 +51,4 @@
 //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
 {
-#ifdef G4DEBUG_VIS_OGL
-  printf("SoGL2PSAction::initClass\n");
-#endif
   SO_ACTION_INIT_CLASS(SoGL2PSAction,SoGLRenderAction);
 }
@@ -67,7 +62,4 @@
 //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
 {
-#ifdef G4DEBUG_VIS_OGL
-  printf("SoGL2PSAction::SoGL2PSAction\n");
-#endif
   setFileName("out.ps");
   SO_ACTION_CONSTRUCTOR(SoGL2PSAction);
@@ -119,7 +111,4 @@
 //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
 {
-#ifdef G4DEBUG_VIS_OGL
-  printf("SoGL2PSAction::addBitmap\n");
-#endif
   if(!fFile) return false;
   GLboolean valid;
@@ -172,4 +161,3 @@
 }
 
-
 #endif
Index: /trunk/source/visualization/management/src/G4VSceneHandler.cc
===================================================================
--- /trunk/source/visualization/management/src/G4VSceneHandler.cc	(revision 939)
+++ /trunk/source/visualization/management/src/G4VSceneHandler.cc	(revision 940)
@@ -545,9 +545,4 @@
   G4ApplicationState state = stateManager->GetCurrentState();
   if (state == G4State_Idle) {
-    printf("State is ILDE....ProcessScene\n");
-  } else {
-    printf("State is not ILDE....ProcessScene\n");
-  }
-  if (state == G4State_Idle) {
 
     visManager->SetEventRefreshing(true);
Index: /trunk/source/visualization/modeling/src/G4TrajectoryDrawerUtils.cc
===================================================================
--- /trunk/source/visualization/modeling/src/G4TrajectoryDrawerUtils.cc	(revision 939)
+++ /trunk/source/visualization/modeling/src/G4TrajectoryDrawerUtils.cc	(revision 940)
@@ -90,4 +90,5 @@
     
     GetPoints(traj, trajectoryLine, auxiliaryPoints, stepPoints);
+
     if (lineRequired) {
       G4VisAttributes trajectoryLineAttribs(colour);