Index: trunk/source/visualization/test/src/BuildCalorimeter.cc
===================================================================
--- trunk/source/visualization/test/src/BuildCalorimeter.cc	(revision 850)
+++ trunk/source/visualization/test/src/BuildCalorimeter.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: BuildCalorimeter.cc,v 1.5 2006/06/29 21:34:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/BuildGeom_Example1.cc
===================================================================
--- trunk/source/visualization/test/src/BuildGeom_Example1.cc	(revision 850)
+++ trunk/source/visualization/test/src/BuildGeom_Example1.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: BuildGeom_Example1.cc,v 1.6 2006/06/29 21:34:12 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/BuildGeom_Example2.cc
===================================================================
--- trunk/source/visualization/test/src/BuildGeom_Example2.cc	(revision 850)
+++ trunk/source/visualization/test/src/BuildGeom_Example2.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: BuildGeom_Example2.cc,v 1.6 2006/06/29 21:34:14 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/BuildHouse.cc
===================================================================
--- trunk/source/visualization/test/src/BuildHouse.cc	(revision 850)
+++ trunk/source/visualization/test/src/BuildHouse.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: BuildHouse.cc,v 1.3 2006/06/29 21:34:16 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/BuildParametrised.cc
===================================================================
--- trunk/source/visualization/test/src/BuildParametrised.cc	(revision 850)
+++ trunk/source/visualization/test/src/BuildParametrised.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: BuildParametrised.cc,v 1.7 2006/06/29 21:34:18 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/BuildShapes.cc
===================================================================
--- trunk/source/visualization/test/src/BuildShapes.cc	(revision 850)
+++ trunk/source/visualization/test/src/BuildShapes.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: BuildShapes.cc,v 1.6 2006/06/29 21:34:20 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/MyDetectorConstruction.cc
===================================================================
--- trunk/source/visualization/test/src/MyDetectorConstruction.cc	(revision 850)
+++ trunk/source/visualization/test/src/MyDetectorConstruction.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MyDetectorConstruction.cc,v 1.39 2006/11/14 16:03:55 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/MyDetectorMessenger.cc
===================================================================
--- trunk/source/visualization/test/src/MyDetectorMessenger.cc	(revision 850)
+++ trunk/source/visualization/test/src/MyDetectorMessenger.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MyDetectorMessenger.cc,v 1.4 2006/06/29 21:34:24 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 
Index: trunk/source/visualization/test/src/MyEventAction.cc
===================================================================
--- trunk/source/visualization/test/src/MyEventAction.cc	(revision 850)
+++ trunk/source/visualization/test/src/MyEventAction.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MyEventAction.cc,v 1.18 2008/04/04 14:01:14 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 
Index: trunk/source/visualization/test/src/MyPhysicsList.cc
===================================================================
--- trunk/source/visualization/test/src/MyPhysicsList.cc	(revision 850)
+++ trunk/source/visualization/test/src/MyPhysicsList.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MyPhysicsList.cc,v 1.8 2006/06/29 21:34:28 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/MyPrimaryGeneratorAction.cc
===================================================================
--- trunk/source/visualization/test/src/MyPrimaryGeneratorAction.cc	(revision 850)
+++ trunk/source/visualization/test/src/MyPrimaryGeneratorAction.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MyPrimaryGeneratorAction.cc,v 1.6 2006/06/29 21:34:30 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 
Index: trunk/source/visualization/test/src/MyRunAction.cc
===================================================================
--- trunk/source/visualization/test/src/MyRunAction.cc	(revision 850)
+++ trunk/source/visualization/test/src/MyRunAction.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MyRunAction.cc,v 1.8 2006/06/29 21:34:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 
Index: trunk/source/visualization/test/src/MySteppingAction.cc
===================================================================
--- trunk/source/visualization/test/src/MySteppingAction.cc	(revision 850)
+++ trunk/source/visualization/test/src/MySteppingAction.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: MySteppingAction.cc,v 1.16 2006/06/29 21:34:34 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/ParametrisedBox.cc
===================================================================
--- trunk/source/visualization/test/src/ParametrisedBox.cc	(revision 850)
+++ trunk/source/visualization/test/src/ParametrisedBox.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: ParametrisedBox.cc,v 1.6 2006/06/29 21:34:36 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/test19DetectorConstruction.cc
===================================================================
--- trunk/source/visualization/test/src/test19DetectorConstruction.cc	(revision 850)
+++ trunk/source/visualization/test/src/test19DetectorConstruction.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: test19DetectorConstruction.cc,v 1.4 2006/06/29 21:34:40 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/test/src/test19DetectorMessenger.cc
===================================================================
--- trunk/source/visualization/test/src/test19DetectorMessenger.cc	(revision 850)
+++ trunk/source/visualization/test/src/test19DetectorMessenger.cc	(revision 944)
@@ -26,5 +26,5 @@
 //
 // $Id: test19DetectorMessenger.cc,v 1.8 2006/06/29 21:34:42 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 