Index: trunk/source/visualization/RayTracer/include/G4RTJpeg.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpeg.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTJpeg.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpeg.hh,v 1.6 2006/06/29 21:23:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTJpegCoder.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpegCoder.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTJpegCoder.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpegCoder.hh,v 1.6 2006/06/29 21:23:15 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTJpegCoderTables.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpegCoderTables.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTJpegCoderTables.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpegCoderTables.hh,v 1.6 2006/06/29 21:23:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 
Index: trunk/source/visualization/RayTracer/include/G4RTJpegMaker.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpegMaker.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTJpegMaker.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpegMaker.hh,v 1.6 2006/06/29 21:23:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTMessenger.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTMessenger.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTMessenger.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTMessenger.hh,v 1.7 2006/06/29 21:23:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTOutBitStream.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTOutBitStream.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTOutBitStream.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTOutBitStream.hh,v 1.7 2006/06/29 21:23:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTSimpleScanner.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTSimpleScanner.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTSimpleScanner.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTSimpleScanner.hh,v 1.3 2006/06/29 21:23:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTSteppingAction.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTSteppingAction.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTSteppingAction.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTSteppingAction.hh,v 1.5 2006/06/29 21:23:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTTrackingAction.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTTrackingAction.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTTrackingAction.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTTrackingAction.hh,v 1.6 2006/06/29 21:23:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTXScanner.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTXScanner.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RTXScanner.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTXScanner.hh,v 1.4 2006/06/29 21:23:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RayTracer.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTracer.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTracer.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTracer.hh,v 1.12 2007/06/14 15:25:20 allison Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RayTracerFeatures.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTracerFeatures.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTracerFeatures.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTracerFeatures.hh,v 1.4 2006/06/29 21:23:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RayTracerSceneHandler.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTracerSceneHandler.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTracerSceneHandler.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTracerSceneHandler.hh,v 1.11 2006/06/29 21:23:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 
 // John Allison  17th March 2000
Index: trunk/source/visualization/RayTracer/include/G4RayTracerViewer.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTracerViewer.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTracerViewer.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTracerViewer.hh,v 1.7 2006/06/29 21:23:39 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 
 // John Allison  17th March 2000
Index: trunk/source/visualization/RayTracer/include/G4RayTracerX.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTracerX.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTracerX.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTracerX.hh,v 1.4 2006/06/29 21:23:41 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RayTracerXViewer.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTracerXViewer.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTracerXViewer.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTracerXViewer.hh,v 1.3 2006/06/29 21:23:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 
 // John Allison  17th March 2000
Index: trunk/source/visualization/RayTracer/include/G4RayTrajectory.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTrajectory.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTrajectory.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTrajectory.hh,v 1.15 2006/06/29 21:23:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RayTrajectoryPoint.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RayTrajectoryPoint.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4RayTrajectoryPoint.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayTrajectoryPoint.hh,v 1.9 2006/06/29 21:23:47 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4TheRayTracer.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4TheRayTracer.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4TheRayTracer.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TheRayTracer.hh,v 1.3 2006/06/29 21:23:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4VFigureFileMaker.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4VFigureFileMaker.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4VFigureFileMaker.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VFigureFileMaker.hh,v 1.5 2006/06/29 21:23:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4VRTScanner.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4VRTScanner.hh	(revision 944)
+++ trunk/source/visualization/RayTracer/include/G4VRTScanner.hh	(revision 952)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRTScanner.hh,v 1.5 2006/06/29 21:23:53 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-03 $
 //
 //