Index: trunk/source/visualization/OpenGL/include/G4OpenGL.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGL.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGL.hh	(revision 956)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4OpenGL.hh,v 1.7 2008/04/04 13:32:22 allison Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGL.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // G.Barrand.
Index: trunk/source/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh	(revision 956)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4OpenGLFontBaseStore.hh,v 1.3 2006/06/29 21:17:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLFontBaseStore.hh,v 1.4 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // J.Allison  Apr 2005.
Index: trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQt.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQt.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQt.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQt.hh,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLImmediateQt.hh,v 1.2 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.hh,v 1.4 2008/11/06 13:43:44 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLImmediateQtViewer.hh,v 1.5 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -52,5 +52,5 @@
 public:
   G4OpenGLImmediateQtViewer (G4OpenGLImmediateSceneHandler& scene,
-				const G4String& name = "");
+                const G4String& name = "");
   ~G4OpenGLImmediateQtViewer ();
   void Initialise ();
Index: trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateWin32.hh,v 1.7 2006/06/29 21:17:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLImmediateWin32.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLImmediateX.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLImmediateX.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLImmediateX.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateX.hh,v 1.7 2006/06/29 21:17:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLImmediateX.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXm.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXm.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXm.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateXm.hh,v 1.7 2006/06/29 21:17:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLImmediateXm.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.icc
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.icc	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.icc	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLSceneHandler.icc,v 1.8 2008/01/30 10:54:13 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLSceneHandler.icc,v 1.9 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredQt.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredQt.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredQt.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredQt.hh,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLStoredQt.hh,v 1.2 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredViewer.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredViewer.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredViewer.hh,v 1.9 2006/06/29 21:18:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLStoredViewer.hh,v 1.10 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredWin32.hh,v 1.7 2006/06/29 21:18:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLStoredWin32.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredWin32Viewer.hh,v 1.7 2006/06/29 21:18:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLStoredWin32Viewer.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredX.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredX.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredX.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredX.hh,v 1.7 2006/06/29 21:18:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLStoredX.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredXm.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredXm.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredXm.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredXm.hh,v 1.6 2006/06/29 21:18:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLStoredXm.hh,v 1.7 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLTransform3D.hh,v 1.7 2006/06/29 21:18:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLTransform3D.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLViewerMessenger.hh,v 1.5 2007/05/08 11:04:11 allison Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLViewerMessenger.hh,v 1.6 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 #ifndef G4OPENGLVIEWERMESSENGER_HH
Index: trunk/source/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh	(revision 956)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLWin32Viewer.hh,v 1.15 2009/02/04 16:48:41 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmFourArrowButtons.hh,v 1.6 2006/06/29 21:18:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmFourArrowButtons.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmPushButton.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmPushButton.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmPushButton.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmPushButton.hh,v 1.7 2006/06/29 21:18:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmPushButton.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmRadioButton.hh,v 1.7 2006/06/29 21:18:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmRadioButton.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmResources.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmResources.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmResources.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmResources.hh,v 1.5 2006/06/29 21:18:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmResources.hh,v 1.6 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmSeparator.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmSeparator.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmSeparator.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmSeparator.hh,v 1.6 2006/06/29 21:18:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmSeparator.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmSliderBar.hh,v 1.7 2006/06/29 21:18:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmSliderBar.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmTextField.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmTextField.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmTextField.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmTextField.hh,v 1.7 2006/06/29 21:18:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmTextField.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmTopLevelShell.hh,v 1.6 2006/06/29 21:18:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmTopLevelShell.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetComponent.hh,v 1.6 2006/06/29 21:18:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmVWidgetComponent.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetContainer.hh,v 1.6 2006/06/29 21:18:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmVWidgetContainer.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetShell.hh,v 1.6 2006/06/29 21:18:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmVWidgetShell.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh	(revision 954)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh	(revision 956)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmViewerMessenger.hh,v 1.4 2006/06/29 21:18:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4OpenGLXmViewerMessenger.hh,v 1.5 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 #ifdef G4VIS_BUILD_OPENGLXM_DRIVER